Page MenuHomePhabricator

node SSR - mediawiki (wb) HTTP request follow-up [2*2h]
Closed, ResolvedPublic

Description

Brain dump

  • timeout - Timeout is built into axios but by default is ∞. If set this time should be more than the mediawiki -> SSR request so we don't give up too early. T218080
  • custom user agent incl. version information of the termbox system performing the request (feature creep?) T218054
  • caching T218053
    • in-process caching of e.g. messages => Probably only 1 or 2 instances. We should anticipate the instances won't live forever.
  • response health stats (also to allow us to explain SSR's response times [given we can't be quicker than the APIs we depend on])? Response health stats can be dug out of hadoop given enough entropy to find them e.g. UA. This could be slow so @Addshore recommends logging extra slow/failed requests to logstash T218081

Notes:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 3:13 PM
Hanna_Petruschat_WMDE renamed this task from node SSR - mediawiki (wb) HTTP request follow-up to node SSR - mediawiki (wb) HTTP request follow-up [2*2h].Feb 6 2019, 3:22 PM
Jakob_WMDE updated the task description. (Show Details)Feb 11 2019, 4:57 PM
Pablo-WMDE updated the task description. (Show Details)Feb 12 2019, 3:46 PM
Pablo-WMDE updated the task description. (Show Details)Feb 13 2019, 5:18 PM
Pablo-WMDE updated the task description. (Show Details)Mar 11 2019, 2:38 PM
Pablo-WMDE updated the task description. (Show Details)Mar 11 2019, 2:54 PM
Pablo-WMDE updated the task description. (Show Details)Mar 11 2019, 2:56 PM
Pablo-WMDE updated the task description. (Show Details)Mar 11 2019, 3:06 PM
Tarrow claimed this task.
Tarrow updated the task description. (Show Details)Mar 11 2019, 5:01 PM
Tarrow updated the task description. (Show Details)Mar 11 2019, 5:41 PM
Tarrow updated the task description. (Show Details)
Tarrow updated the task description. (Show Details)Mar 11 2019, 5:52 PM
Tarrow updated the task description. (Show Details)Mar 12 2019, 9:43 AM
Tarrow updated the task description. (Show Details)Mar 12 2019, 9:46 AM
Tarrow added a subscriber: Addshore.
Tarrow updated the task description. (Show Details)Mar 12 2019, 9:54 AM
Tarrow updated the task description. (Show Details)Mar 12 2019, 9:59 AM
Pablo-WMDE closed this task as Resolved.Apr 8 2019, 10:40 AM